# Events

Data elements representing an event from an integration.

## List Event Categories

> List all the event categories in the workspace. Optional filter by title.

```json
{"openapi":"3.0.0","info":{"title":"Secoda API","version":"8.22.39"},"tags":[{"name":"Events","description":"Data elements representing an event from an integration."}],"servers":[{"url":"https://api.secoda.co","description":"Base URL for all US cloud based workspaces"},{"url":"https://eapi.secoda.co","description":"Base URL for all EU cloud based workspaces"},{"url":"https://aapi.secoda.co","description":"Base URL for all APAC cloud based workspaces"},{"url":"https://{customer_domain}.secoda.co","description":"Base URL for On Premise Secoda workspaces","variables":{"customer_domain":{"default":"customer_domain","description":"The specific domain set up for your On Premise Secoda workspace."}}}],"security":[{"ApiKeyAuth":[]}],"paths":{"/api/v1/event/category":{"get":{"summary":"List Event Categories","description":"List all the event categories in the workspace. Optional filter by title.","tags":["Events"],"parameters":[{"in":"query","name":"title","schema":{"type":"string"},"description":"Filter event categories by title"}],"responses":{"200":{"description":"List of event categories.","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/v1_ListResponse"},{"type":"object","properties":{"results":{"type":"array","items":{"$ref":"#/components/schemas/v1_BaseResponse"}}}}]}}}},"400":{"description":"Bad Request"},"500":{"description":"Internal Server Error"}}}}},"components":{"schemas":{"v1_ListResponse":{"type":"object","properties":{"links":{"type":"object","description":"Indicates Links to associated pages.","properties":{"next":{"type":"string","description":"The link to the next page (null if there are no more pages)."},"previous":{"type":"string","description":"The link to the previous page (null if on the first page)."}}},"meta":{"type":"object","description":"Reprents the meta data of the response.","properties":{"page":{"type":"integer","description":"The current page number."},"previous_page":{"type":"integer","description":"The previous page number (null if on the first page)."},"next_page":{"type":"integer","description":"The next page number (null if on the last page)."}}},"count":{"type":"integer","description":"The total count of items returned."},"total_pages":{"type":"integer","description":"The total number of pages."}}},"v1_BaseResponse":{"type":"object","properties":{"id":{"type":"string","description":"The unique identifier of the resource."},"created_at":{"type":"string","format":"date-time","description":"The timestamp when the resource was created in Secoda in UTC format."},"updated_at":{"type":"string","format":"date-time","description":"The timestamp when the resource was last updated in Secoda in UTC format."},"entity_type":{"type":"string","description":"The type of resource in Secoda."},"native_type":{"type":"string","description":"The native type of the resource as it is referred to in the integration."},"bookmarked_by":{"type":"array","items":{"type":"string"},"description":"List of member IDs that have bookmarked the resource."},"icon":{"type":"string","description":"The icon associated with the resource."},"title":{"type":"string","description":"The title of the resource."},"title_full":{"type":"string","description":"The full title of the resource, including its ancestry."},"title_cased":{"type":"string","description":"The title in a cased format."},"description":{"type":"string","description":"A description of the resource."},"definition":{"type":"string","format":"markdown","description":"The documentation of the resource, written in Mark Down format."},"definition_version":{"type":"integer","description":"The version of the resource's documentation."},"multiplayers":{"type":"array","items":{"type":"string"},"description":"List of members who have opened or worked with the resource recently."},"multiplayer_last_modified_by":{"type":"string","description":"The last member who modified this resource."},"multiplayer_last_modified":{"type":"string","format":"date-time","description":"The timestamp when the multiplayer was last modified in UTC format."},"owners":{"type":"array","items":{"type":"string"},"description":"List of owner IDs for the resource."},"owners_groups":{"type":"array","items":{"type":"string"},"description":"List of owner group IDs for the resource."},"collections":{"type":"array","items":{"type":"string"},"description":"List of IDs representing the collection(s) that the resource has been added to."},"tags":{"type":"array","items":{"type":"string"},"description":"List of tag IDs added to the resource."},"workspace_id":{"type":"string","description":"The ID of the workspace."},"total_usage":{"type":"integer","description":"The total usage count for the resource."},"published":{"type":"boolean","description":"Indicates if the resource is published and can be seen by Viewers."},"archived":{"type":"boolean","description":"Indicates if the resource is deleted."},"pii":{"type":"boolean","description":"Indicates if the resource contains Personally Identifiable Information (PII). Values can be - <ul> <li> True <li> False</ul>"},"verified":{"type":"boolean","description":"Indicates if the resource is verified. Values can be - <ul><li> True <li> False</ul>"},"url":{"type":"string","description":"The URL associated with the resource."},"parent":{"type":"string","description":"The parent resource's ID."},"children_count":{"type":"integer","description":"The count of children entities of the resource."},"integration":{"type":"string","description":"The integration ID associated with the resource."},"external_updated_at":{"type":"string","format":"date-time","description":"The timestamp of the last update for the resource in the source."},"internal_usage":{"type":"integer","description":"The internal usage count for the resource."},"internal_users":{"type":"array","items":{"type":"string"},"description":"List of internal user IDs for the resource."},"external_users":{"type":"array","items":{"type":"string"},"description":"List of external user IDs for the resource extracted from the integration."},"external_usage":{"type":"integer","description":"The external usage count for the resource extracted from the source source. This is what is used to calculate Popularity of a resource."},"databuilder_id":{"type":"string","description":"The databuilder ID associated with the resource. This is a generated field."},"search_metadata":{"type":"object","description":"Metadata related to indexing the resource for optimizing search."},"sources":{"type":"array","items":{"type":"string"},"description":"List of other integrations associated with the resource. For example, if a description is pulled in from DBT for a Snowflake table, this field will reference DBT."},"subscribers":{"type":"array","items":{"type":"string"},"description":"List of User IDs who subscribe to the resource."},"teams":{"type":"array","items":{"type":"string"},"description":"List of team IDs associated with the resource."},"stale":{"type":"boolean","description":"Indicates if the resource is stale. This means this resource no longer exists in the source, as of the last extraction."},"current_user_permissions":{"type":"object","description":"Permissions of the current user for this resource.","properties":{"read":{"type":"boolean"},"write":{"type":"boolean"},"execute":{"type":"boolean"}}}}}}}}
```

## Create Event Category

> Use this endpoint to create a new event category. This will be the parent of events. The category must be associated to an integration.

```json
{"openapi":"3.0.0","info":{"title":"Secoda API","version":"8.22.39"},"tags":[{"name":"Events","description":"Data elements representing an event from an integration."}],"servers":[{"url":"https://api.secoda.co","description":"Base URL for all US cloud based workspaces"},{"url":"https://eapi.secoda.co","description":"Base URL for all EU cloud based workspaces"},{"url":"https://aapi.secoda.co","description":"Base URL for all APAC cloud based workspaces"},{"url":"https://{customer_domain}.secoda.co","description":"Base URL for On Premise Secoda workspaces","variables":{"customer_domain":{"default":"customer_domain","description":"The specific domain set up for your On Premise Secoda workspace."}}}],"security":[{"ApiKeyAuth":[]}],"paths":{"/api/v1/event/category":{"post":{"summary":"Create Event Category","description":"Use this endpoint to create a new event category. This will be the parent of events. The category must be associated to an integration.","tags":["Events"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"title":{"type":"string","description":"The name of the category."},"integration":{"type":"string","description":"The UUID of the associated integration."},"teams":{"type":"array","items":{"type":"string"},"description":"The teams the category belongs to."}}}}}},"responses":{"201":{"description":"Event category created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/v1_BaseResponse"}}}},"400":{"description":"Bad Request"},"500":{"description":"Internal Server Error"}}}}},"components":{"schemas":{"v1_BaseResponse":{"type":"object","properties":{"id":{"type":"string","description":"The unique identifier of the resource."},"created_at":{"type":"string","format":"date-time","description":"The timestamp when the resource was created in Secoda in UTC format."},"updated_at":{"type":"string","format":"date-time","description":"The timestamp when the resource was last updated in Secoda in UTC format."},"entity_type":{"type":"string","description":"The type of resource in Secoda."},"native_type":{"type":"string","description":"The native type of the resource as it is referred to in the integration."},"bookmarked_by":{"type":"array","items":{"type":"string"},"description":"List of member IDs that have bookmarked the resource."},"icon":{"type":"string","description":"The icon associated with the resource."},"title":{"type":"string","description":"The title of the resource."},"title_full":{"type":"string","description":"The full title of the resource, including its ancestry."},"title_cased":{"type":"string","description":"The title in a cased format."},"description":{"type":"string","description":"A description of the resource."},"definition":{"type":"string","format":"markdown","description":"The documentation of the resource, written in Mark Down format."},"definition_version":{"type":"integer","description":"The version of the resource's documentation."},"multiplayers":{"type":"array","items":{"type":"string"},"description":"List of members who have opened or worked with the resource recently."},"multiplayer_last_modified_by":{"type":"string","description":"The last member who modified this resource."},"multiplayer_last_modified":{"type":"string","format":"date-time","description":"The timestamp when the multiplayer was last modified in UTC format."},"owners":{"type":"array","items":{"type":"string"},"description":"List of owner IDs for the resource."},"owners_groups":{"type":"array","items":{"type":"string"},"description":"List of owner group IDs for the resource."},"collections":{"type":"array","items":{"type":"string"},"description":"List of IDs representing the collection(s) that the resource has been added to."},"tags":{"type":"array","items":{"type":"string"},"description":"List of tag IDs added to the resource."},"workspace_id":{"type":"string","description":"The ID of the workspace."},"total_usage":{"type":"integer","description":"The total usage count for the resource."},"published":{"type":"boolean","description":"Indicates if the resource is published and can be seen by Viewers."},"archived":{"type":"boolean","description":"Indicates if the resource is deleted."},"pii":{"type":"boolean","description":"Indicates if the resource contains Personally Identifiable Information (PII). Values can be - <ul> <li> True <li> False</ul>"},"verified":{"type":"boolean","description":"Indicates if the resource is verified. Values can be - <ul><li> True <li> False</ul>"},"url":{"type":"string","description":"The URL associated with the resource."},"parent":{"type":"string","description":"The parent resource's ID."},"children_count":{"type":"integer","description":"The count of children entities of the resource."},"integration":{"type":"string","description":"The integration ID associated with the resource."},"external_updated_at":{"type":"string","format":"date-time","description":"The timestamp of the last update for the resource in the source."},"internal_usage":{"type":"integer","description":"The internal usage count for the resource."},"internal_users":{"type":"array","items":{"type":"string"},"description":"List of internal user IDs for the resource."},"external_users":{"type":"array","items":{"type":"string"},"description":"List of external user IDs for the resource extracted from the integration."},"external_usage":{"type":"integer","description":"The external usage count for the resource extracted from the source source. This is what is used to calculate Popularity of a resource."},"databuilder_id":{"type":"string","description":"The databuilder ID associated with the resource. This is a generated field."},"search_metadata":{"type":"object","description":"Metadata related to indexing the resource for optimizing search."},"sources":{"type":"array","items":{"type":"string"},"description":"List of other integrations associated with the resource. For example, if a description is pulled in from DBT for a Snowflake table, this field will reference DBT."},"subscribers":{"type":"array","items":{"type":"string"},"description":"List of User IDs who subscribe to the resource."},"teams":{"type":"array","items":{"type":"string"},"description":"List of team IDs associated with the resource."},"stale":{"type":"boolean","description":"Indicates if the resource is stale. This means this resource no longer exists in the source, as of the last extraction."},"current_user_permissions":{"type":"object","description":"Permissions of the current user for this resource.","properties":{"read":{"type":"boolean"},"write":{"type":"boolean"},"execute":{"type":"boolean"}}}}}}}}
```

## Get Event Category by Id

> Retrieve the information of a specific event category.

```json
{"openapi":"3.0.0","info":{"title":"Secoda API","version":"8.22.39"},"tags":[{"name":"Events","description":"Data elements representing an event from an integration."}],"servers":[{"url":"https://api.secoda.co","description":"Base URL for all US cloud based workspaces"},{"url":"https://eapi.secoda.co","description":"Base URL for all EU cloud based workspaces"},{"url":"https://aapi.secoda.co","description":"Base URL for all APAC cloud based workspaces"},{"url":"https://{customer_domain}.secoda.co","description":"Base URL for On Premise Secoda workspaces","variables":{"customer_domain":{"default":"customer_domain","description":"The specific domain set up for your On Premise Secoda workspace."}}}],"security":[{"ApiKeyAuth":[]}],"paths":{"/api/v1/event/category/{event_category_id}":{"get":{"summary":"Get Event Category by Id","description":"Retrieve the information of a specific event category.","tags":["Events"],"parameters":[{"name":"event_category_id","required":true,"in":"path","schema":{"type":"string"},"description":"ID of the event category to retrieve"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/v1_BaseResponse"}}}},"404":{"description":"Not Found"},"500":{"description":"Internal Server Error"}}}}},"components":{"schemas":{"v1_BaseResponse":{"type":"object","properties":{"id":{"type":"string","description":"The unique identifier of the resource."},"created_at":{"type":"string","format":"date-time","description":"The timestamp when the resource was created in Secoda in UTC format."},"updated_at":{"type":"string","format":"date-time","description":"The timestamp when the resource was last updated in Secoda in UTC format."},"entity_type":{"type":"string","description":"The type of resource in Secoda."},"native_type":{"type":"string","description":"The native type of the resource as it is referred to in the integration."},"bookmarked_by":{"type":"array","items":{"type":"string"},"description":"List of member IDs that have bookmarked the resource."},"icon":{"type":"string","description":"The icon associated with the resource."},"title":{"type":"string","description":"The title of the resource."},"title_full":{"type":"string","description":"The full title of the resource, including its ancestry."},"title_cased":{"type":"string","description":"The title in a cased format."},"description":{"type":"string","description":"A description of the resource."},"definition":{"type":"string","format":"markdown","description":"The documentation of the resource, written in Mark Down format."},"definition_version":{"type":"integer","description":"The version of the resource's documentation."},"multiplayers":{"type":"array","items":{"type":"string"},"description":"List of members who have opened or worked with the resource recently."},"multiplayer_last_modified_by":{"type":"string","description":"The last member who modified this resource."},"multiplayer_last_modified":{"type":"string","format":"date-time","description":"The timestamp when the multiplayer was last modified in UTC format."},"owners":{"type":"array","items":{"type":"string"},"description":"List of owner IDs for the resource."},"owners_groups":{"type":"array","items":{"type":"string"},"description":"List of owner group IDs for the resource."},"collections":{"type":"array","items":{"type":"string"},"description":"List of IDs representing the collection(s) that the resource has been added to."},"tags":{"type":"array","items":{"type":"string"},"description":"List of tag IDs added to the resource."},"workspace_id":{"type":"string","description":"The ID of the workspace."},"total_usage":{"type":"integer","description":"The total usage count for the resource."},"published":{"type":"boolean","description":"Indicates if the resource is published and can be seen by Viewers."},"archived":{"type":"boolean","description":"Indicates if the resource is deleted."},"pii":{"type":"boolean","description":"Indicates if the resource contains Personally Identifiable Information (PII). Values can be - <ul> <li> True <li> False</ul>"},"verified":{"type":"boolean","description":"Indicates if the resource is verified. Values can be - <ul><li> True <li> False</ul>"},"url":{"type":"string","description":"The URL associated with the resource."},"parent":{"type":"string","description":"The parent resource's ID."},"children_count":{"type":"integer","description":"The count of children entities of the resource."},"integration":{"type":"string","description":"The integration ID associated with the resource."},"external_updated_at":{"type":"string","format":"date-time","description":"The timestamp of the last update for the resource in the source."},"internal_usage":{"type":"integer","description":"The internal usage count for the resource."},"internal_users":{"type":"array","items":{"type":"string"},"description":"List of internal user IDs for the resource."},"external_users":{"type":"array","items":{"type":"string"},"description":"List of external user IDs for the resource extracted from the integration."},"external_usage":{"type":"integer","description":"The external usage count for the resource extracted from the source source. This is what is used to calculate Popularity of a resource."},"databuilder_id":{"type":"string","description":"The databuilder ID associated with the resource. This is a generated field."},"search_metadata":{"type":"object","description":"Metadata related to indexing the resource for optimizing search."},"sources":{"type":"array","items":{"type":"string"},"description":"List of other integrations associated with the resource. For example, if a description is pulled in from DBT for a Snowflake table, this field will reference DBT."},"subscribers":{"type":"array","items":{"type":"string"},"description":"List of User IDs who subscribe to the resource."},"teams":{"type":"array","items":{"type":"string"},"description":"List of team IDs associated with the resource."},"stale":{"type":"boolean","description":"Indicates if the resource is stale. This means this resource no longer exists in the source, as of the last extraction."},"current_user_permissions":{"type":"object","description":"Permissions of the current user for this resource.","properties":{"read":{"type":"boolean"},"write":{"type":"boolean"},"execute":{"type":"boolean"}}}}}}}}
```

## List Events

> \> \*\*Warning\*\*: This endpoint is deprecated. Please use the \[List Resources]\(#tag/Resources/paths/\~1resource\~1catalog/get) endpoint instead with \`filter={"operator":"exact","field":"type","value":"event"}\`.\
> \
> Retrieve a list of events with optional filtering using the integration\_id, parent\_id (the event category), and title.<br>

```json
{"openapi":"3.0.0","info":{"title":"Secoda API","version":"8.22.39"},"tags":[{"name":"Events","description":"Data elements representing an event from an integration."}],"servers":[{"url":"https://api.secoda.co","description":"Base URL for all US cloud based workspaces"},{"url":"https://eapi.secoda.co","description":"Base URL for all EU cloud based workspaces"},{"url":"https://aapi.secoda.co","description":"Base URL for all APAC cloud based workspaces"},{"url":"https://{customer_domain}.secoda.co","description":"Base URL for On Premise Secoda workspaces","variables":{"customer_domain":{"default":"customer_domain","description":"The specific domain set up for your On Premise Secoda workspace."}}}],"security":[{"ApiKeyAuth":[]}],"paths":{"/api/v1/event/events":{"get":{"tags":["Events"],"summary":"List Events","deprecated":true,"description":"> **Warning**: This endpoint is deprecated. Please use the [List Resources](#tag/Resources/paths/~1resource~1catalog/get) endpoint instead with `filter={\"operator\":\"exact\",\"field\":\"type\",\"value\":\"event\"}`.\n\nRetrieve a list of events with optional filtering using the integration_id, parent_id (the event category), and title.\n","parameters":[{"name":"integration_id","in":"query","schema":{"type":"string"},"description":"Filter by integration ID"},{"name":"parent_id","in":"query","schema":{"type":"string"},"description":"Filter by parent ID"},{"name":"title","in":"query","schema":{"type":"string"},"description":"Filter by title"}],"responses":{"200":{"description":"List of events.","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/v1_ListResponse"},{"type":"object","properties":{"results":{"type":"array","items":{"$ref":"#/components/schemas/v1_BaseResponse"}}}}]}}}},"400":{"description":"Bad Request"},"500":{"description":"Internal Server Error"}}}}},"components":{"schemas":{"v1_ListResponse":{"type":"object","properties":{"links":{"type":"object","description":"Indicates Links to associated pages.","properties":{"next":{"type":"string","description":"The link to the next page (null if there are no more pages)."},"previous":{"type":"string","description":"The link to the previous page (null if on the first page)."}}},"meta":{"type":"object","description":"Reprents the meta data of the response.","properties":{"page":{"type":"integer","description":"The current page number."},"previous_page":{"type":"integer","description":"The previous page number (null if on the first page)."},"next_page":{"type":"integer","description":"The next page number (null if on the last page)."}}},"count":{"type":"integer","description":"The total count of items returned."},"total_pages":{"type":"integer","description":"The total number of pages."}}},"v1_BaseResponse":{"type":"object","properties":{"id":{"type":"string","description":"The unique identifier of the resource."},"created_at":{"type":"string","format":"date-time","description":"The timestamp when the resource was created in Secoda in UTC format."},"updated_at":{"type":"string","format":"date-time","description":"The timestamp when the resource was last updated in Secoda in UTC format."},"entity_type":{"type":"string","description":"The type of resource in Secoda."},"native_type":{"type":"string","description":"The native type of the resource as it is referred to in the integration."},"bookmarked_by":{"type":"array","items":{"type":"string"},"description":"List of member IDs that have bookmarked the resource."},"icon":{"type":"string","description":"The icon associated with the resource."},"title":{"type":"string","description":"The title of the resource."},"title_full":{"type":"string","description":"The full title of the resource, including its ancestry."},"title_cased":{"type":"string","description":"The title in a cased format."},"description":{"type":"string","description":"A description of the resource."},"definition":{"type":"string","format":"markdown","description":"The documentation of the resource, written in Mark Down format."},"definition_version":{"type":"integer","description":"The version of the resource's documentation."},"multiplayers":{"type":"array","items":{"type":"string"},"description":"List of members who have opened or worked with the resource recently."},"multiplayer_last_modified_by":{"type":"string","description":"The last member who modified this resource."},"multiplayer_last_modified":{"type":"string","format":"date-time","description":"The timestamp when the multiplayer was last modified in UTC format."},"owners":{"type":"array","items":{"type":"string"},"description":"List of owner IDs for the resource."},"owners_groups":{"type":"array","items":{"type":"string"},"description":"List of owner group IDs for the resource."},"collections":{"type":"array","items":{"type":"string"},"description":"List of IDs representing the collection(s) that the resource has been added to."},"tags":{"type":"array","items":{"type":"string"},"description":"List of tag IDs added to the resource."},"workspace_id":{"type":"string","description":"The ID of the workspace."},"total_usage":{"type":"integer","description":"The total usage count for the resource."},"published":{"type":"boolean","description":"Indicates if the resource is published and can be seen by Viewers."},"archived":{"type":"boolean","description":"Indicates if the resource is deleted."},"pii":{"type":"boolean","description":"Indicates if the resource contains Personally Identifiable Information (PII). Values can be - <ul> <li> True <li> False</ul>"},"verified":{"type":"boolean","description":"Indicates if the resource is verified. Values can be - <ul><li> True <li> False</ul>"},"url":{"type":"string","description":"The URL associated with the resource."},"parent":{"type":"string","description":"The parent resource's ID."},"children_count":{"type":"integer","description":"The count of children entities of the resource."},"integration":{"type":"string","description":"The integration ID associated with the resource."},"external_updated_at":{"type":"string","format":"date-time","description":"The timestamp of the last update for the resource in the source."},"internal_usage":{"type":"integer","description":"The internal usage count for the resource."},"internal_users":{"type":"array","items":{"type":"string"},"description":"List of internal user IDs for the resource."},"external_users":{"type":"array","items":{"type":"string"},"description":"List of external user IDs for the resource extracted from the integration."},"external_usage":{"type":"integer","description":"The external usage count for the resource extracted from the source source. This is what is used to calculate Popularity of a resource."},"databuilder_id":{"type":"string","description":"The databuilder ID associated with the resource. This is a generated field."},"search_metadata":{"type":"object","description":"Metadata related to indexing the resource for optimizing search."},"sources":{"type":"array","items":{"type":"string"},"description":"List of other integrations associated with the resource. For example, if a description is pulled in from DBT for a Snowflake table, this field will reference DBT."},"subscribers":{"type":"array","items":{"type":"string"},"description":"List of User IDs who subscribe to the resource."},"teams":{"type":"array","items":{"type":"string"},"description":"List of team IDs associated with the resource."},"stale":{"type":"boolean","description":"Indicates if the resource is stale. This means this resource no longer exists in the source, as of the last extraction."},"current_user_permissions":{"type":"object","description":"Permissions of the current user for this resource.","properties":{"read":{"type":"boolean"},"write":{"type":"boolean"},"execute":{"type":"boolean"}}}}}}}}
```

## Create Event

> Create a new event with the provided data. Events must have a Category as a parent, and be associated with an integration.

```json
{"openapi":"3.0.0","info":{"title":"Secoda API","version":"8.22.39"},"tags":[{"name":"Events","description":"Data elements representing an event from an integration."}],"servers":[{"url":"https://api.secoda.co","description":"Base URL for all US cloud based workspaces"},{"url":"https://eapi.secoda.co","description":"Base URL for all EU cloud based workspaces"},{"url":"https://aapi.secoda.co","description":"Base URL for all APAC cloud based workspaces"},{"url":"https://{customer_domain}.secoda.co","description":"Base URL for On Premise Secoda workspaces","variables":{"customer_domain":{"default":"customer_domain","description":"The specific domain set up for your On Premise Secoda workspace."}}}],"security":[{"ApiKeyAuth":[]}],"paths":{"/api/v1/event/events":{"post":{"tags":["Events"],"summary":"Create Event","description":"Create a new event with the provided data. Events must have a Category as a parent, and be associated with an integration.","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","allOf":[{"$ref":"#/components/schemas/v1_BaseResourceRequest"}]}}}},"responses":{"201":{"description":"Event created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/v1_BaseResponse"}}}},"400":{"description":"Bad Request"},"500":{"description":"Internal Server Error"}}}}},"components":{"schemas":{"v1_BaseResourceRequest":{"type":"object","properties":{"title":{"type":"string","description":"The title of the resource."},"integration":{"type":"string","description":"The integration ID associated with the resource, if one exists."},"description":{"type":"string","description":"A description of the resource."},"entity_type":{"type":"string","description":"The type of the resource."},"definition":{"type":"string","description":"Mark down documentation to be added to the resource."},"parent":{"type":"string","description":"The ID of the parent resource. Please keep the resource heirarchy in mind when setting the parent."},"pii":{"type":"boolean","description":"Indicates whether the resource contains personally identifiable information (PII). Values can be - <ul><li> True <li> False</ul>"},"verified":{"type":"boolean","description":"Indicates whether the resource has been set as verified. Values can be - <ul><li> True <li> False</ul>"},"published":{"type":"boolean","description":"Indicates if the resource is visible to viewers or not. Values can be - <ul><li> True <li> False</ul>"},"teams":{"type":"array","items":{"type":"string"},"description":"A list of team IDs that the resource belongs to."},"owners":{"type":"array","items":{"type":"string"},"description":"A list of owner user IDs for the resource."},"owners_groups":{"type":"array","items":{"type":"string"},"description":"A list of owner group IDs for the resource."},"collections":{"type":"array","items":{"type":"string"},"description":"A list of collection IDs the resource belongs to."},"tags":{"type":"array","items":{"type":"string"},"description":"A list of tag IDs associated with the resources."},"subscribers":{"type":"array","description":"A list of user IDs that have been subscribed to the resource. Anyone subscribed will be notified of any changes.","items":{"type":"string"}}}},"v1_BaseResponse":{"type":"object","properties":{"id":{"type":"string","description":"The unique identifier of the resource."},"created_at":{"type":"string","format":"date-time","description":"The timestamp when the resource was created in Secoda in UTC format."},"updated_at":{"type":"string","format":"date-time","description":"The timestamp when the resource was last updated in Secoda in UTC format."},"entity_type":{"type":"string","description":"The type of resource in Secoda."},"native_type":{"type":"string","description":"The native type of the resource as it is referred to in the integration."},"bookmarked_by":{"type":"array","items":{"type":"string"},"description":"List of member IDs that have bookmarked the resource."},"icon":{"type":"string","description":"The icon associated with the resource."},"title":{"type":"string","description":"The title of the resource."},"title_full":{"type":"string","description":"The full title of the resource, including its ancestry."},"title_cased":{"type":"string","description":"The title in a cased format."},"description":{"type":"string","description":"A description of the resource."},"definition":{"type":"string","format":"markdown","description":"The documentation of the resource, written in Mark Down format."},"definition_version":{"type":"integer","description":"The version of the resource's documentation."},"multiplayers":{"type":"array","items":{"type":"string"},"description":"List of members who have opened or worked with the resource recently."},"multiplayer_last_modified_by":{"type":"string","description":"The last member who modified this resource."},"multiplayer_last_modified":{"type":"string","format":"date-time","description":"The timestamp when the multiplayer was last modified in UTC format."},"owners":{"type":"array","items":{"type":"string"},"description":"List of owner IDs for the resource."},"owners_groups":{"type":"array","items":{"type":"string"},"description":"List of owner group IDs for the resource."},"collections":{"type":"array","items":{"type":"string"},"description":"List of IDs representing the collection(s) that the resource has been added to."},"tags":{"type":"array","items":{"type":"string"},"description":"List of tag IDs added to the resource."},"workspace_id":{"type":"string","description":"The ID of the workspace."},"total_usage":{"type":"integer","description":"The total usage count for the resource."},"published":{"type":"boolean","description":"Indicates if the resource is published and can be seen by Viewers."},"archived":{"type":"boolean","description":"Indicates if the resource is deleted."},"pii":{"type":"boolean","description":"Indicates if the resource contains Personally Identifiable Information (PII). Values can be - <ul> <li> True <li> False</ul>"},"verified":{"type":"boolean","description":"Indicates if the resource is verified. Values can be - <ul><li> True <li> False</ul>"},"url":{"type":"string","description":"The URL associated with the resource."},"parent":{"type":"string","description":"The parent resource's ID."},"children_count":{"type":"integer","description":"The count of children entities of the resource."},"integration":{"type":"string","description":"The integration ID associated with the resource."},"external_updated_at":{"type":"string","format":"date-time","description":"The timestamp of the last update for the resource in the source."},"internal_usage":{"type":"integer","description":"The internal usage count for the resource."},"internal_users":{"type":"array","items":{"type":"string"},"description":"List of internal user IDs for the resource."},"external_users":{"type":"array","items":{"type":"string"},"description":"List of external user IDs for the resource extracted from the integration."},"external_usage":{"type":"integer","description":"The external usage count for the resource extracted from the source source. This is what is used to calculate Popularity of a resource."},"databuilder_id":{"type":"string","description":"The databuilder ID associated with the resource. This is a generated field."},"search_metadata":{"type":"object","description":"Metadata related to indexing the resource for optimizing search."},"sources":{"type":"array","items":{"type":"string"},"description":"List of other integrations associated with the resource. For example, if a description is pulled in from DBT for a Snowflake table, this field will reference DBT."},"subscribers":{"type":"array","items":{"type":"string"},"description":"List of User IDs who subscribe to the resource."},"teams":{"type":"array","items":{"type":"string"},"description":"List of team IDs associated with the resource."},"stale":{"type":"boolean","description":"Indicates if the resource is stale. This means this resource no longer exists in the source, as of the last extraction."},"current_user_permissions":{"type":"object","description":"Permissions of the current user for this resource.","properties":{"read":{"type":"boolean"},"write":{"type":"boolean"},"execute":{"type":"boolean"}}}}}}}}
```

## Get Event

> \> \*\*Warning\*\*: This endpoint is deprecated. Please use the \[List Resources]\(#tag/Resources/paths/\~1resource\~1catalog/get) endpoint instead with \`filter={"operator":"exact","field":"id","value":"your-event-id"}\`.\
> \
> Retrieve a specific event by its ID.<br>

```json
{"openapi":"3.0.0","info":{"title":"Secoda API","version":"8.22.39"},"tags":[{"name":"Events","description":"Data elements representing an event from an integration."}],"servers":[{"url":"https://api.secoda.co","description":"Base URL for all US cloud based workspaces"},{"url":"https://eapi.secoda.co","description":"Base URL for all EU cloud based workspaces"},{"url":"https://aapi.secoda.co","description":"Base URL for all APAC cloud based workspaces"},{"url":"https://{customer_domain}.secoda.co","description":"Base URL for On Premise Secoda workspaces","variables":{"customer_domain":{"default":"customer_domain","description":"The specific domain set up for your On Premise Secoda workspace."}}}],"security":[{"ApiKeyAuth":[]}],"paths":{"/api/v1/event/events/{event_id}":{"get":{"tags":["Events"],"summary":"Get Event","deprecated":true,"description":"> **Warning**: This endpoint is deprecated. Please use the [List Resources](#tag/Resources/paths/~1resource~1catalog/get) endpoint instead with `filter={\"operator\":\"exact\",\"field\":\"id\",\"value\":\"your-event-id\"}`.\n\nRetrieve a specific event by its ID.\n","parameters":[{"name":"event_id","in":"path","required":true,"schema":{"type":"string"},"description":"The ID of the event to retrieve."}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/v1_BaseResponse"}}}},"404":{"description":"Not Found"},"500":{"description":"Internal Server Error"}}}}},"components":{"schemas":{"v1_BaseResponse":{"type":"object","properties":{"id":{"type":"string","description":"The unique identifier of the resource."},"created_at":{"type":"string","format":"date-time","description":"The timestamp when the resource was created in Secoda in UTC format."},"updated_at":{"type":"string","format":"date-time","description":"The timestamp when the resource was last updated in Secoda in UTC format."},"entity_type":{"type":"string","description":"The type of resource in Secoda."},"native_type":{"type":"string","description":"The native type of the resource as it is referred to in the integration."},"bookmarked_by":{"type":"array","items":{"type":"string"},"description":"List of member IDs that have bookmarked the resource."},"icon":{"type":"string","description":"The icon associated with the resource."},"title":{"type":"string","description":"The title of the resource."},"title_full":{"type":"string","description":"The full title of the resource, including its ancestry."},"title_cased":{"type":"string","description":"The title in a cased format."},"description":{"type":"string","description":"A description of the resource."},"definition":{"type":"string","format":"markdown","description":"The documentation of the resource, written in Mark Down format."},"definition_version":{"type":"integer","description":"The version of the resource's documentation."},"multiplayers":{"type":"array","items":{"type":"string"},"description":"List of members who have opened or worked with the resource recently."},"multiplayer_last_modified_by":{"type":"string","description":"The last member who modified this resource."},"multiplayer_last_modified":{"type":"string","format":"date-time","description":"The timestamp when the multiplayer was last modified in UTC format."},"owners":{"type":"array","items":{"type":"string"},"description":"List of owner IDs for the resource."},"owners_groups":{"type":"array","items":{"type":"string"},"description":"List of owner group IDs for the resource."},"collections":{"type":"array","items":{"type":"string"},"description":"List of IDs representing the collection(s) that the resource has been added to."},"tags":{"type":"array","items":{"type":"string"},"description":"List of tag IDs added to the resource."},"workspace_id":{"type":"string","description":"The ID of the workspace."},"total_usage":{"type":"integer","description":"The total usage count for the resource."},"published":{"type":"boolean","description":"Indicates if the resource is published and can be seen by Viewers."},"archived":{"type":"boolean","description":"Indicates if the resource is deleted."},"pii":{"type":"boolean","description":"Indicates if the resource contains Personally Identifiable Information (PII). Values can be - <ul> <li> True <li> False</ul>"},"verified":{"type":"boolean","description":"Indicates if the resource is verified. Values can be - <ul><li> True <li> False</ul>"},"url":{"type":"string","description":"The URL associated with the resource."},"parent":{"type":"string","description":"The parent resource's ID."},"children_count":{"type":"integer","description":"The count of children entities of the resource."},"integration":{"type":"string","description":"The integration ID associated with the resource."},"external_updated_at":{"type":"string","format":"date-time","description":"The timestamp of the last update for the resource in the source."},"internal_usage":{"type":"integer","description":"The internal usage count for the resource."},"internal_users":{"type":"array","items":{"type":"string"},"description":"List of internal user IDs for the resource."},"external_users":{"type":"array","items":{"type":"string"},"description":"List of external user IDs for the resource extracted from the integration."},"external_usage":{"type":"integer","description":"The external usage count for the resource extracted from the source source. This is what is used to calculate Popularity of a resource."},"databuilder_id":{"type":"string","description":"The databuilder ID associated with the resource. This is a generated field."},"search_metadata":{"type":"object","description":"Metadata related to indexing the resource for optimizing search."},"sources":{"type":"array","items":{"type":"string"},"description":"List of other integrations associated with the resource. For example, if a description is pulled in from DBT for a Snowflake table, this field will reference DBT."},"subscribers":{"type":"array","items":{"type":"string"},"description":"List of User IDs who subscribe to the resource."},"teams":{"type":"array","items":{"type":"string"},"description":"List of team IDs associated with the resource."},"stale":{"type":"boolean","description":"Indicates if the resource is stale. This means this resource no longer exists in the source, as of the last extraction."},"current_user_permissions":{"type":"object","description":"Permissions of the current user for this resource.","properties":{"read":{"type":"boolean"},"write":{"type":"boolean"},"execute":{"type":"boolean"}}}}}}}}
```

## Delete Event

> Delete a specific event by it's ID.

```json
{"openapi":"3.0.0","info":{"title":"Secoda API","version":"8.22.39"},"tags":[{"name":"Events","description":"Data elements representing an event from an integration."}],"servers":[{"url":"https://api.secoda.co","description":"Base URL for all US cloud based workspaces"},{"url":"https://eapi.secoda.co","description":"Base URL for all EU cloud based workspaces"},{"url":"https://aapi.secoda.co","description":"Base URL for all APAC cloud based workspaces"},{"url":"https://{customer_domain}.secoda.co","description":"Base URL for On Premise Secoda workspaces","variables":{"customer_domain":{"default":"customer_domain","description":"The specific domain set up for your On Premise Secoda workspace."}}}],"security":[{"ApiKeyAuth":[]}],"paths":{"/api/v1/event/events/{event_id}":{"delete":{"tags":["Events"],"summary":"Delete Event","description":"Delete a specific event by it's ID.","parameters":[{"name":"event_id","in":"path","required":true,"schema":{"type":"string"},"description":"The ID of the event to delete."}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/v1_BaseResponse"}}}},"404":{"description":"Not Found"},"500":{"description":"Internal Server Error"}}}}},"components":{"schemas":{"v1_BaseResponse":{"type":"object","properties":{"id":{"type":"string","description":"The unique identifier of the resource."},"created_at":{"type":"string","format":"date-time","description":"The timestamp when the resource was created in Secoda in UTC format."},"updated_at":{"type":"string","format":"date-time","description":"The timestamp when the resource was last updated in Secoda in UTC format."},"entity_type":{"type":"string","description":"The type of resource in Secoda."},"native_type":{"type":"string","description":"The native type of the resource as it is referred to in the integration."},"bookmarked_by":{"type":"array","items":{"type":"string"},"description":"List of member IDs that have bookmarked the resource."},"icon":{"type":"string","description":"The icon associated with the resource."},"title":{"type":"string","description":"The title of the resource."},"title_full":{"type":"string","description":"The full title of the resource, including its ancestry."},"title_cased":{"type":"string","description":"The title in a cased format."},"description":{"type":"string","description":"A description of the resource."},"definition":{"type":"string","format":"markdown","description":"The documentation of the resource, written in Mark Down format."},"definition_version":{"type":"integer","description":"The version of the resource's documentation."},"multiplayers":{"type":"array","items":{"type":"string"},"description":"List of members who have opened or worked with the resource recently."},"multiplayer_last_modified_by":{"type":"string","description":"The last member who modified this resource."},"multiplayer_last_modified":{"type":"string","format":"date-time","description":"The timestamp when the multiplayer was last modified in UTC format."},"owners":{"type":"array","items":{"type":"string"},"description":"List of owner IDs for the resource."},"owners_groups":{"type":"array","items":{"type":"string"},"description":"List of owner group IDs for the resource."},"collections":{"type":"array","items":{"type":"string"},"description":"List of IDs representing the collection(s) that the resource has been added to."},"tags":{"type":"array","items":{"type":"string"},"description":"List of tag IDs added to the resource."},"workspace_id":{"type":"string","description":"The ID of the workspace."},"total_usage":{"type":"integer","description":"The total usage count for the resource."},"published":{"type":"boolean","description":"Indicates if the resource is published and can be seen by Viewers."},"archived":{"type":"boolean","description":"Indicates if the resource is deleted."},"pii":{"type":"boolean","description":"Indicates if the resource contains Personally Identifiable Information (PII). Values can be - <ul> <li> True <li> False</ul>"},"verified":{"type":"boolean","description":"Indicates if the resource is verified. Values can be - <ul><li> True <li> False</ul>"},"url":{"type":"string","description":"The URL associated with the resource."},"parent":{"type":"string","description":"The parent resource's ID."},"children_count":{"type":"integer","description":"The count of children entities of the resource."},"integration":{"type":"string","description":"The integration ID associated with the resource."},"external_updated_at":{"type":"string","format":"date-time","description":"The timestamp of the last update for the resource in the source."},"internal_usage":{"type":"integer","description":"The internal usage count for the resource."},"internal_users":{"type":"array","items":{"type":"string"},"description":"List of internal user IDs for the resource."},"external_users":{"type":"array","items":{"type":"string"},"description":"List of external user IDs for the resource extracted from the integration."},"external_usage":{"type":"integer","description":"The external usage count for the resource extracted from the source source. This is what is used to calculate Popularity of a resource."},"databuilder_id":{"type":"string","description":"The databuilder ID associated with the resource. This is a generated field."},"search_metadata":{"type":"object","description":"Metadata related to indexing the resource for optimizing search."},"sources":{"type":"array","items":{"type":"string"},"description":"List of other integrations associated with the resource. For example, if a description is pulled in from DBT for a Snowflake table, this field will reference DBT."},"subscribers":{"type":"array","items":{"type":"string"},"description":"List of User IDs who subscribe to the resource."},"teams":{"type":"array","items":{"type":"string"},"description":"List of team IDs associated with the resource."},"stale":{"type":"boolean","description":"Indicates if the resource is stale. This means this resource no longer exists in the source, as of the last extraction."},"current_user_permissions":{"type":"object","description":"Permissions of the current user for this resource.","properties":{"read":{"type":"boolean"},"write":{"type":"boolean"},"execute":{"type":"boolean"}}}}}}}}
```

## Update an Event

> Use this endpoint to partially update event metadata.

```json
{"openapi":"3.0.0","info":{"title":"Secoda API","version":"8.22.39"},"tags":[{"name":"Events","description":"Data elements representing an event from an integration."}],"servers":[{"url":"https://api.secoda.co","description":"Base URL for all US cloud based workspaces"},{"url":"https://eapi.secoda.co","description":"Base URL for all EU cloud based workspaces"},{"url":"https://aapi.secoda.co","description":"Base URL for all APAC cloud based workspaces"},{"url":"https://{customer_domain}.secoda.co","description":"Base URL for On Premise Secoda workspaces","variables":{"customer_domain":{"default":"customer_domain","description":"The specific domain set up for your On Premise Secoda workspace."}}}],"security":[{"ApiKeyAuth":[]}],"paths":{"/api/v1/event/events/{event_id}":{"patch":{"tags":["Events"],"summary":"Update an Event","description":"Use this endpoint to partially update event metadata.","parameters":[{"name":"event_id","in":"path","required":true,"schema":{"type":"string"},"description":"The ID of the event to update."}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/v1_BasePatchRequest"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/v1_BaseResponse"}}}},"404":{"description":"Not Found"},"500":{"description":"Internal Server Error"}}}}},"components":{"schemas":{"v1_BasePatchRequest":{"type":"object","properties":{"description":{"type":"string","description":"A description of the resource."},"definition":{"type":"string","description":"Mark down documentation to be added to the resource."},"pii":{"type":"boolean","description":"Indicates whether the resource contains personally identifiable information (PII). Values can be - <ul><li> True <li> False</ul>"},"verified":{"type":"boolean","description":"Indicates whether the table has been set as verified. Values can be - <ul><li> True <li> False</ul>"},"published":{"type":"boolean","description":"Indicates if the resource is visible to viewers or not. Values can be - <ul><li> True <li> False</ul>"},"teams":{"type":"array","items":{"type":"string"},"description":"A list of team IDs that the resource belongs to."},"owners":{"type":"array","items":{"type":"string"},"description":"A list of owner user IDs for the resource."},"collections":{"type":"array","items":{"type":"string"},"description":"A list of collection IDs the resource belongs to."},"tags":{"type":"array","items":{"type":"string"},"description":"A list of tag IDs associated with the resources."},"subscribers":{"type":"array","description":"A list of the added user IDs that have been subscribed to the resource. Anyone subscribed will be notified of any changes.","items":{"type":"string"}}}},"v1_BaseResponse":{"type":"object","properties":{"id":{"type":"string","description":"The unique identifier of the resource."},"created_at":{"type":"string","format":"date-time","description":"The timestamp when the resource was created in Secoda in UTC format."},"updated_at":{"type":"string","format":"date-time","description":"The timestamp when the resource was last updated in Secoda in UTC format."},"entity_type":{"type":"string","description":"The type of resource in Secoda."},"native_type":{"type":"string","description":"The native type of the resource as it is referred to in the integration."},"bookmarked_by":{"type":"array","items":{"type":"string"},"description":"List of member IDs that have bookmarked the resource."},"icon":{"type":"string","description":"The icon associated with the resource."},"title":{"type":"string","description":"The title of the resource."},"title_full":{"type":"string","description":"The full title of the resource, including its ancestry."},"title_cased":{"type":"string","description":"The title in a cased format."},"description":{"type":"string","description":"A description of the resource."},"definition":{"type":"string","format":"markdown","description":"The documentation of the resource, written in Mark Down format."},"definition_version":{"type":"integer","description":"The version of the resource's documentation."},"multiplayers":{"type":"array","items":{"type":"string"},"description":"List of members who have opened or worked with the resource recently."},"multiplayer_last_modified_by":{"type":"string","description":"The last member who modified this resource."},"multiplayer_last_modified":{"type":"string","format":"date-time","description":"The timestamp when the multiplayer was last modified in UTC format."},"owners":{"type":"array","items":{"type":"string"},"description":"List of owner IDs for the resource."},"owners_groups":{"type":"array","items":{"type":"string"},"description":"List of owner group IDs for the resource."},"collections":{"type":"array","items":{"type":"string"},"description":"List of IDs representing the collection(s) that the resource has been added to."},"tags":{"type":"array","items":{"type":"string"},"description":"List of tag IDs added to the resource."},"workspace_id":{"type":"string","description":"The ID of the workspace."},"total_usage":{"type":"integer","description":"The total usage count for the resource."},"published":{"type":"boolean","description":"Indicates if the resource is published and can be seen by Viewers."},"archived":{"type":"boolean","description":"Indicates if the resource is deleted."},"pii":{"type":"boolean","description":"Indicates if the resource contains Personally Identifiable Information (PII). Values can be - <ul> <li> True <li> False</ul>"},"verified":{"type":"boolean","description":"Indicates if the resource is verified. Values can be - <ul><li> True <li> False</ul>"},"url":{"type":"string","description":"The URL associated with the resource."},"parent":{"type":"string","description":"The parent resource's ID."},"children_count":{"type":"integer","description":"The count of children entities of the resource."},"integration":{"type":"string","description":"The integration ID associated with the resource."},"external_updated_at":{"type":"string","format":"date-time","description":"The timestamp of the last update for the resource in the source."},"internal_usage":{"type":"integer","description":"The internal usage count for the resource."},"internal_users":{"type":"array","items":{"type":"string"},"description":"List of internal user IDs for the resource."},"external_users":{"type":"array","items":{"type":"string"},"description":"List of external user IDs for the resource extracted from the integration."},"external_usage":{"type":"integer","description":"The external usage count for the resource extracted from the source source. This is what is used to calculate Popularity of a resource."},"databuilder_id":{"type":"string","description":"The databuilder ID associated with the resource. This is a generated field."},"search_metadata":{"type":"object","description":"Metadata related to indexing the resource for optimizing search."},"sources":{"type":"array","items":{"type":"string"},"description":"List of other integrations associated with the resource. For example, if a description is pulled in from DBT for a Snowflake table, this field will reference DBT."},"subscribers":{"type":"array","items":{"type":"string"},"description":"List of User IDs who subscribe to the resource."},"teams":{"type":"array","items":{"type":"string"},"description":"List of team IDs associated with the resource."},"stale":{"type":"boolean","description":"Indicates if the resource is stale. This means this resource no longer exists in the source, as of the last extraction."},"current_user_permissions":{"type":"object","description":"Permissions of the current user for this resource.","properties":{"read":{"type":"boolean"},"write":{"type":"boolean"},"execute":{"type":"boolean"}}}}}}}}
```

## List Event Properties

> Retrieve a list of events with optional filtering using the integration\_id, parent\_id (the event), and title.

```json
{"openapi":"3.0.0","info":{"title":"Secoda API","version":"8.22.39"},"tags":[{"name":"Events","description":"Data elements representing an event from an integration."}],"servers":[{"url":"https://api.secoda.co","description":"Base URL for all US cloud based workspaces"},{"url":"https://eapi.secoda.co","description":"Base URL for all EU cloud based workspaces"},{"url":"https://aapi.secoda.co","description":"Base URL for all APAC cloud based workspaces"},{"url":"https://{customer_domain}.secoda.co","description":"Base URL for On Premise Secoda workspaces","variables":{"customer_domain":{"default":"customer_domain","description":"The specific domain set up for your On Premise Secoda workspace."}}}],"security":[{"ApiKeyAuth":[]}],"paths":{"/api/v1/event/event_properties":{"get":{"tags":["Events"],"summary":"List Event Properties","description":"Retrieve a list of events with optional filtering using the integration_id, parent_id (the event), and title.","parameters":[{"name":"integration_id","in":"query","schema":{"type":"string"},"description":"Filter by integration ID"},{"name":"parent_id","in":"query","schema":{"type":"string"},"description":"Filter by parent ID"},{"name":"title","in":"query","schema":{"type":"string"},"description":"Filter by title"}],"responses":{"200":{"description":"List of event properties.","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/v1_ListResponse"},{"type":"object","properties":{"results":{"type":"array","items":{"$ref":"#/components/schemas/v1_EventPropertyResponse"}}}}]}}}},"400":{"description":"Bad Request"},"500":{"description":"Internal Server Error"}}}}},"components":{"schemas":{"v1_ListResponse":{"type":"object","properties":{"links":{"type":"object","description":"Indicates Links to associated pages.","properties":{"next":{"type":"string","description":"The link to the next page (null if there are no more pages)."},"previous":{"type":"string","description":"The link to the previous page (null if on the first page)."}}},"meta":{"type":"object","description":"Reprents the meta data of the response.","properties":{"page":{"type":"integer","description":"The current page number."},"previous_page":{"type":"integer","description":"The previous page number (null if on the first page)."},"next_page":{"type":"integer","description":"The next page number (null if on the last page)."}}},"count":{"type":"integer","description":"The total count of items returned."},"total_pages":{"type":"integer","description":"The total number of pages."}}},"v1_EventPropertyResponse":{"allOf":[{"$ref":"#/components/schemas/v1_BaseResponse"},{"type":"object","properties":{"type":{"type":"string","description":"The type of property associated with the event. Examples include string, enum, integer, etc."},"enum":{"type":"string","description":"If the property type is enum, this field indicates the various enum values."},"is_required":{"type":"boolean","description":"Set this to true if the property is required."}}}]},"v1_BaseResponse":{"type":"object","properties":{"id":{"type":"string","description":"The unique identifier of the resource."},"created_at":{"type":"string","format":"date-time","description":"The timestamp when the resource was created in Secoda in UTC format."},"updated_at":{"type":"string","format":"date-time","description":"The timestamp when the resource was last updated in Secoda in UTC format."},"entity_type":{"type":"string","description":"The type of resource in Secoda."},"native_type":{"type":"string","description":"The native type of the resource as it is referred to in the integration."},"bookmarked_by":{"type":"array","items":{"type":"string"},"description":"List of member IDs that have bookmarked the resource."},"icon":{"type":"string","description":"The icon associated with the resource."},"title":{"type":"string","description":"The title of the resource."},"title_full":{"type":"string","description":"The full title of the resource, including its ancestry."},"title_cased":{"type":"string","description":"The title in a cased format."},"description":{"type":"string","description":"A description of the resource."},"definition":{"type":"string","format":"markdown","description":"The documentation of the resource, written in Mark Down format."},"definition_version":{"type":"integer","description":"The version of the resource's documentation."},"multiplayers":{"type":"array","items":{"type":"string"},"description":"List of members who have opened or worked with the resource recently."},"multiplayer_last_modified_by":{"type":"string","description":"The last member who modified this resource."},"multiplayer_last_modified":{"type":"string","format":"date-time","description":"The timestamp when the multiplayer was last modified in UTC format."},"owners":{"type":"array","items":{"type":"string"},"description":"List of owner IDs for the resource."},"owners_groups":{"type":"array","items":{"type":"string"},"description":"List of owner group IDs for the resource."},"collections":{"type":"array","items":{"type":"string"},"description":"List of IDs representing the collection(s) that the resource has been added to."},"tags":{"type":"array","items":{"type":"string"},"description":"List of tag IDs added to the resource."},"workspace_id":{"type":"string","description":"The ID of the workspace."},"total_usage":{"type":"integer","description":"The total usage count for the resource."},"published":{"type":"boolean","description":"Indicates if the resource is published and can be seen by Viewers."},"archived":{"type":"boolean","description":"Indicates if the resource is deleted."},"pii":{"type":"boolean","description":"Indicates if the resource contains Personally Identifiable Information (PII). Values can be - <ul> <li> True <li> False</ul>"},"verified":{"type":"boolean","description":"Indicates if the resource is verified. Values can be - <ul><li> True <li> False</ul>"},"url":{"type":"string","description":"The URL associated with the resource."},"parent":{"type":"string","description":"The parent resource's ID."},"children_count":{"type":"integer","description":"The count of children entities of the resource."},"integration":{"type":"string","description":"The integration ID associated with the resource."},"external_updated_at":{"type":"string","format":"date-time","description":"The timestamp of the last update for the resource in the source."},"internal_usage":{"type":"integer","description":"The internal usage count for the resource."},"internal_users":{"type":"array","items":{"type":"string"},"description":"List of internal user IDs for the resource."},"external_users":{"type":"array","items":{"type":"string"},"description":"List of external user IDs for the resource extracted from the integration."},"external_usage":{"type":"integer","description":"The external usage count for the resource extracted from the source source. This is what is used to calculate Popularity of a resource."},"databuilder_id":{"type":"string","description":"The databuilder ID associated with the resource. This is a generated field."},"search_metadata":{"type":"object","description":"Metadata related to indexing the resource for optimizing search."},"sources":{"type":"array","items":{"type":"string"},"description":"List of other integrations associated with the resource. For example, if a description is pulled in from DBT for a Snowflake table, this field will reference DBT."},"subscribers":{"type":"array","items":{"type":"string"},"description":"List of User IDs who subscribe to the resource."},"teams":{"type":"array","items":{"type":"string"},"description":"List of team IDs associated with the resource."},"stale":{"type":"boolean","description":"Indicates if the resource is stale. This means this resource no longer exists in the source, as of the last extraction."},"current_user_permissions":{"type":"object","description":"Permissions of the current user for this resource.","properties":{"read":{"type":"boolean"},"write":{"type":"boolean"},"execute":{"type":"boolean"}}}}}}}}
```

## Create Event Property

> Create a new event property with the provided data. Event properties must have an Event as a parent, and be associated with an integration.

```json
{"openapi":"3.0.0","info":{"title":"Secoda API","version":"8.22.39"},"tags":[{"name":"Events","description":"Data elements representing an event from an integration."}],"servers":[{"url":"https://api.secoda.co","description":"Base URL for all US cloud based workspaces"},{"url":"https://eapi.secoda.co","description":"Base URL for all EU cloud based workspaces"},{"url":"https://aapi.secoda.co","description":"Base URL for all APAC cloud based workspaces"},{"url":"https://{customer_domain}.secoda.co","description":"Base URL for On Premise Secoda workspaces","variables":{"customer_domain":{"default":"customer_domain","description":"The specific domain set up for your On Premise Secoda workspace."}}}],"security":[{"ApiKeyAuth":[]}],"paths":{"/api/v1/event/event_properties":{"post":{"tags":["Events"],"summary":"Create Event Property","description":"Create a new event property with the provided data. Event properties must have an Event as a parent, and be associated with an integration.","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","allOf":[{"$ref":"#/components/schemas/v1_BaseResourceRequest"}],"properties":{"type":{"type":"string","description":"The type of property associated with the event. Examples include string, enum, integer, etc."},"enum":{"type":"string","description":"If the property type is enum, this field indicates the various enum values."},"is_required":{"type":"boolean","description":"Set this to true if the property is required."}}}}}},"responses":{"200":{"description":"Event property created.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/v1_EventPropertyResponse"}}}},"404":{"description":"Not Found"},"500":{"description":"Internal Server Error"}}}}},"components":{"schemas":{"v1_BaseResourceRequest":{"type":"object","properties":{"title":{"type":"string","description":"The title of the resource."},"integration":{"type":"string","description":"The integration ID associated with the resource, if one exists."},"description":{"type":"string","description":"A description of the resource."},"entity_type":{"type":"string","description":"The type of the resource."},"definition":{"type":"string","description":"Mark down documentation to be added to the resource."},"parent":{"type":"string","description":"The ID of the parent resource. Please keep the resource heirarchy in mind when setting the parent."},"pii":{"type":"boolean","description":"Indicates whether the resource contains personally identifiable information (PII). Values can be - <ul><li> True <li> False</ul>"},"verified":{"type":"boolean","description":"Indicates whether the resource has been set as verified. Values can be - <ul><li> True <li> False</ul>"},"published":{"type":"boolean","description":"Indicates if the resource is visible to viewers or not. Values can be - <ul><li> True <li> False</ul>"},"teams":{"type":"array","items":{"type":"string"},"description":"A list of team IDs that the resource belongs to."},"owners":{"type":"array","items":{"type":"string"},"description":"A list of owner user IDs for the resource."},"owners_groups":{"type":"array","items":{"type":"string"},"description":"A list of owner group IDs for the resource."},"collections":{"type":"array","items":{"type":"string"},"description":"A list of collection IDs the resource belongs to."},"tags":{"type":"array","items":{"type":"string"},"description":"A list of tag IDs associated with the resources."},"subscribers":{"type":"array","description":"A list of user IDs that have been subscribed to the resource. Anyone subscribed will be notified of any changes.","items":{"type":"string"}}}},"v1_EventPropertyResponse":{"allOf":[{"$ref":"#/components/schemas/v1_BaseResponse"},{"type":"object","properties":{"type":{"type":"string","description":"The type of property associated with the event. Examples include string, enum, integer, etc."},"enum":{"type":"string","description":"If the property type is enum, this field indicates the various enum values."},"is_required":{"type":"boolean","description":"Set this to true if the property is required."}}}]},"v1_BaseResponse":{"type":"object","properties":{"id":{"type":"string","description":"The unique identifier of the resource."},"created_at":{"type":"string","format":"date-time","description":"The timestamp when the resource was created in Secoda in UTC format."},"updated_at":{"type":"string","format":"date-time","description":"The timestamp when the resource was last updated in Secoda in UTC format."},"entity_type":{"type":"string","description":"The type of resource in Secoda."},"native_type":{"type":"string","description":"The native type of the resource as it is referred to in the integration."},"bookmarked_by":{"type":"array","items":{"type":"string"},"description":"List of member IDs that have bookmarked the resource."},"icon":{"type":"string","description":"The icon associated with the resource."},"title":{"type":"string","description":"The title of the resource."},"title_full":{"type":"string","description":"The full title of the resource, including its ancestry."},"title_cased":{"type":"string","description":"The title in a cased format."},"description":{"type":"string","description":"A description of the resource."},"definition":{"type":"string","format":"markdown","description":"The documentation of the resource, written in Mark Down format."},"definition_version":{"type":"integer","description":"The version of the resource's documentation."},"multiplayers":{"type":"array","items":{"type":"string"},"description":"List of members who have opened or worked with the resource recently."},"multiplayer_last_modified_by":{"type":"string","description":"The last member who modified this resource."},"multiplayer_last_modified":{"type":"string","format":"date-time","description":"The timestamp when the multiplayer was last modified in UTC format."},"owners":{"type":"array","items":{"type":"string"},"description":"List of owner IDs for the resource."},"owners_groups":{"type":"array","items":{"type":"string"},"description":"List of owner group IDs for the resource."},"collections":{"type":"array","items":{"type":"string"},"description":"List of IDs representing the collection(s) that the resource has been added to."},"tags":{"type":"array","items":{"type":"string"},"description":"List of tag IDs added to the resource."},"workspace_id":{"type":"string","description":"The ID of the workspace."},"total_usage":{"type":"integer","description":"The total usage count for the resource."},"published":{"type":"boolean","description":"Indicates if the resource is published and can be seen by Viewers."},"archived":{"type":"boolean","description":"Indicates if the resource is deleted."},"pii":{"type":"boolean","description":"Indicates if the resource contains Personally Identifiable Information (PII). Values can be - <ul> <li> True <li> False</ul>"},"verified":{"type":"boolean","description":"Indicates if the resource is verified. Values can be - <ul><li> True <li> False</ul>"},"url":{"type":"string","description":"The URL associated with the resource."},"parent":{"type":"string","description":"The parent resource's ID."},"children_count":{"type":"integer","description":"The count of children entities of the resource."},"integration":{"type":"string","description":"The integration ID associated with the resource."},"external_updated_at":{"type":"string","format":"date-time","description":"The timestamp of the last update for the resource in the source."},"internal_usage":{"type":"integer","description":"The internal usage count for the resource."},"internal_users":{"type":"array","items":{"type":"string"},"description":"List of internal user IDs for the resource."},"external_users":{"type":"array","items":{"type":"string"},"description":"List of external user IDs for the resource extracted from the integration."},"external_usage":{"type":"integer","description":"The external usage count for the resource extracted from the source source. This is what is used to calculate Popularity of a resource."},"databuilder_id":{"type":"string","description":"The databuilder ID associated with the resource. This is a generated field."},"search_metadata":{"type":"object","description":"Metadata related to indexing the resource for optimizing search."},"sources":{"type":"array","items":{"type":"string"},"description":"List of other integrations associated with the resource. For example, if a description is pulled in from DBT for a Snowflake table, this field will reference DBT."},"subscribers":{"type":"array","items":{"type":"string"},"description":"List of User IDs who subscribe to the resource."},"teams":{"type":"array","items":{"type":"string"},"description":"List of team IDs associated with the resource."},"stale":{"type":"boolean","description":"Indicates if the resource is stale. This means this resource no longer exists in the source, as of the last extraction."},"current_user_permissions":{"type":"object","description":"Permissions of the current user for this resource.","properties":{"read":{"type":"boolean"},"write":{"type":"boolean"},"execute":{"type":"boolean"}}}}}}}}
```

## Get Event Property

> Retrieve a specific event property by its ID.

```json
{"openapi":"3.0.0","info":{"title":"Secoda API","version":"8.22.39"},"tags":[{"name":"Events","description":"Data elements representing an event from an integration."}],"servers":[{"url":"https://api.secoda.co","description":"Base URL for all US cloud based workspaces"},{"url":"https://eapi.secoda.co","description":"Base URL for all EU cloud based workspaces"},{"url":"https://aapi.secoda.co","description":"Base URL for all APAC cloud based workspaces"},{"url":"https://{customer_domain}.secoda.co","description":"Base URL for On Premise Secoda workspaces","variables":{"customer_domain":{"default":"customer_domain","description":"The specific domain set up for your On Premise Secoda workspace."}}}],"security":[{"ApiKeyAuth":[]}],"paths":{"/api/v1/event/event_properties/{event_property_id}":{"get":{"tags":["Events"],"summary":"Get Event Property","description":"Retrieve a specific event property by its ID.","parameters":[{"name":"event_property_id","in":"path","required":true,"schema":{"type":"string"},"description":"The ID of the event property to retrieve."}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/v1_EventPropertyResponse"}}}},"404":{"description":"Not Found"},"500":{"description":"Internal Server Error"}}}}},"components":{"schemas":{"v1_EventPropertyResponse":{"allOf":[{"$ref":"#/components/schemas/v1_BaseResponse"},{"type":"object","properties":{"type":{"type":"string","description":"The type of property associated with the event. Examples include string, enum, integer, etc."},"enum":{"type":"string","description":"If the property type is enum, this field indicates the various enum values."},"is_required":{"type":"boolean","description":"Set this to true if the property is required."}}}]},"v1_BaseResponse":{"type":"object","properties":{"id":{"type":"string","description":"The unique identifier of the resource."},"created_at":{"type":"string","format":"date-time","description":"The timestamp when the resource was created in Secoda in UTC format."},"updated_at":{"type":"string","format":"date-time","description":"The timestamp when the resource was last updated in Secoda in UTC format."},"entity_type":{"type":"string","description":"The type of resource in Secoda."},"native_type":{"type":"string","description":"The native type of the resource as it is referred to in the integration."},"bookmarked_by":{"type":"array","items":{"type":"string"},"description":"List of member IDs that have bookmarked the resource."},"icon":{"type":"string","description":"The icon associated with the resource."},"title":{"type":"string","description":"The title of the resource."},"title_full":{"type":"string","description":"The full title of the resource, including its ancestry."},"title_cased":{"type":"string","description":"The title in a cased format."},"description":{"type":"string","description":"A description of the resource."},"definition":{"type":"string","format":"markdown","description":"The documentation of the resource, written in Mark Down format."},"definition_version":{"type":"integer","description":"The version of the resource's documentation."},"multiplayers":{"type":"array","items":{"type":"string"},"description":"List of members who have opened or worked with the resource recently."},"multiplayer_last_modified_by":{"type":"string","description":"The last member who modified this resource."},"multiplayer_last_modified":{"type":"string","format":"date-time","description":"The timestamp when the multiplayer was last modified in UTC format."},"owners":{"type":"array","items":{"type":"string"},"description":"List of owner IDs for the resource."},"owners_groups":{"type":"array","items":{"type":"string"},"description":"List of owner group IDs for the resource."},"collections":{"type":"array","items":{"type":"string"},"description":"List of IDs representing the collection(s) that the resource has been added to."},"tags":{"type":"array","items":{"type":"string"},"description":"List of tag IDs added to the resource."},"workspace_id":{"type":"string","description":"The ID of the workspace."},"total_usage":{"type":"integer","description":"The total usage count for the resource."},"published":{"type":"boolean","description":"Indicates if the resource is published and can be seen by Viewers."},"archived":{"type":"boolean","description":"Indicates if the resource is deleted."},"pii":{"type":"boolean","description":"Indicates if the resource contains Personally Identifiable Information (PII). Values can be - <ul> <li> True <li> False</ul>"},"verified":{"type":"boolean","description":"Indicates if the resource is verified. Values can be - <ul><li> True <li> False</ul>"},"url":{"type":"string","description":"The URL associated with the resource."},"parent":{"type":"string","description":"The parent resource's ID."},"children_count":{"type":"integer","description":"The count of children entities of the resource."},"integration":{"type":"string","description":"The integration ID associated with the resource."},"external_updated_at":{"type":"string","format":"date-time","description":"The timestamp of the last update for the resource in the source."},"internal_usage":{"type":"integer","description":"The internal usage count for the resource."},"internal_users":{"type":"array","items":{"type":"string"},"description":"List of internal user IDs for the resource."},"external_users":{"type":"array","items":{"type":"string"},"description":"List of external user IDs for the resource extracted from the integration."},"external_usage":{"type":"integer","description":"The external usage count for the resource extracted from the source source. This is what is used to calculate Popularity of a resource."},"databuilder_id":{"type":"string","description":"The databuilder ID associated with the resource. This is a generated field."},"search_metadata":{"type":"object","description":"Metadata related to indexing the resource for optimizing search."},"sources":{"type":"array","items":{"type":"string"},"description":"List of other integrations associated with the resource. For example, if a description is pulled in from DBT for a Snowflake table, this field will reference DBT."},"subscribers":{"type":"array","items":{"type":"string"},"description":"List of User IDs who subscribe to the resource."},"teams":{"type":"array","items":{"type":"string"},"description":"List of team IDs associated with the resource."},"stale":{"type":"boolean","description":"Indicates if the resource is stale. This means this resource no longer exists in the source, as of the last extraction."},"current_user_permissions":{"type":"object","description":"Permissions of the current user for this resource.","properties":{"read":{"type":"boolean"},"write":{"type":"boolean"},"execute":{"type":"boolean"}}}}}}}}
```

## Delete Event Property

> Delete a specific event property by it's ID.

```json
{"openapi":"3.0.0","info":{"title":"Secoda API","version":"8.22.39"},"tags":[{"name":"Events","description":"Data elements representing an event from an integration."}],"servers":[{"url":"https://api.secoda.co","description":"Base URL for all US cloud based workspaces"},{"url":"https://eapi.secoda.co","description":"Base URL for all EU cloud based workspaces"},{"url":"https://aapi.secoda.co","description":"Base URL for all APAC cloud based workspaces"},{"url":"https://{customer_domain}.secoda.co","description":"Base URL for On Premise Secoda workspaces","variables":{"customer_domain":{"default":"customer_domain","description":"The specific domain set up for your On Premise Secoda workspace."}}}],"security":[{"ApiKeyAuth":[]}],"paths":{"/api/v1/event/event_properties/{event_property_id}":{"delete":{"tags":["Events"],"summary":"Delete Event Property","description":"Delete a specific event property by it's ID.","parameters":[{"name":"event_property_id","in":"path","required":true,"schema":{"type":"string"},"description":"The ID of the event property to delete."}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/v1_EventPropertyResponse"}}}},"404":{"description":"Not Found"},"500":{"description":"Internal Server Error"}}}}},"components":{"schemas":{"v1_EventPropertyResponse":{"allOf":[{"$ref":"#/components/schemas/v1_BaseResponse"},{"type":"object","properties":{"type":{"type":"string","description":"The type of property associated with the event. Examples include string, enum, integer, etc."},"enum":{"type":"string","description":"If the property type is enum, this field indicates the various enum values."},"is_required":{"type":"boolean","description":"Set this to true if the property is required."}}}]},"v1_BaseResponse":{"type":"object","properties":{"id":{"type":"string","description":"The unique identifier of the resource."},"created_at":{"type":"string","format":"date-time","description":"The timestamp when the resource was created in Secoda in UTC format."},"updated_at":{"type":"string","format":"date-time","description":"The timestamp when the resource was last updated in Secoda in UTC format."},"entity_type":{"type":"string","description":"The type of resource in Secoda."},"native_type":{"type":"string","description":"The native type of the resource as it is referred to in the integration."},"bookmarked_by":{"type":"array","items":{"type":"string"},"description":"List of member IDs that have bookmarked the resource."},"icon":{"type":"string","description":"The icon associated with the resource."},"title":{"type":"string","description":"The title of the resource."},"title_full":{"type":"string","description":"The full title of the resource, including its ancestry."},"title_cased":{"type":"string","description":"The title in a cased format."},"description":{"type":"string","description":"A description of the resource."},"definition":{"type":"string","format":"markdown","description":"The documentation of the resource, written in Mark Down format."},"definition_version":{"type":"integer","description":"The version of the resource's documentation."},"multiplayers":{"type":"array","items":{"type":"string"},"description":"List of members who have opened or worked with the resource recently."},"multiplayer_last_modified_by":{"type":"string","description":"The last member who modified this resource."},"multiplayer_last_modified":{"type":"string","format":"date-time","description":"The timestamp when the multiplayer was last modified in UTC format."},"owners":{"type":"array","items":{"type":"string"},"description":"List of owner IDs for the resource."},"owners_groups":{"type":"array","items":{"type":"string"},"description":"List of owner group IDs for the resource."},"collections":{"type":"array","items":{"type":"string"},"description":"List of IDs representing the collection(s) that the resource has been added to."},"tags":{"type":"array","items":{"type":"string"},"description":"List of tag IDs added to the resource."},"workspace_id":{"type":"string","description":"The ID of the workspace."},"total_usage":{"type":"integer","description":"The total usage count for the resource."},"published":{"type":"boolean","description":"Indicates if the resource is published and can be seen by Viewers."},"archived":{"type":"boolean","description":"Indicates if the resource is deleted."},"pii":{"type":"boolean","description":"Indicates if the resource contains Personally Identifiable Information (PII). Values can be - <ul> <li> True <li> False</ul>"},"verified":{"type":"boolean","description":"Indicates if the resource is verified. Values can be - <ul><li> True <li> False</ul>"},"url":{"type":"string","description":"The URL associated with the resource."},"parent":{"type":"string","description":"The parent resource's ID."},"children_count":{"type":"integer","description":"The count of children entities of the resource."},"integration":{"type":"string","description":"The integration ID associated with the resource."},"external_updated_at":{"type":"string","format":"date-time","description":"The timestamp of the last update for the resource in the source."},"internal_usage":{"type":"integer","description":"The internal usage count for the resource."},"internal_users":{"type":"array","items":{"type":"string"},"description":"List of internal user IDs for the resource."},"external_users":{"type":"array","items":{"type":"string"},"description":"List of external user IDs for the resource extracted from the integration."},"external_usage":{"type":"integer","description":"The external usage count for the resource extracted from the source source. This is what is used to calculate Popularity of a resource."},"databuilder_id":{"type":"string","description":"The databuilder ID associated with the resource. This is a generated field."},"search_metadata":{"type":"object","description":"Metadata related to indexing the resource for optimizing search."},"sources":{"type":"array","items":{"type":"string"},"description":"List of other integrations associated with the resource. For example, if a description is pulled in from DBT for a Snowflake table, this field will reference DBT."},"subscribers":{"type":"array","items":{"type":"string"},"description":"List of User IDs who subscribe to the resource."},"teams":{"type":"array","items":{"type":"string"},"description":"List of team IDs associated with the resource."},"stale":{"type":"boolean","description":"Indicates if the resource is stale. This means this resource no longer exists in the source, as of the last extraction."},"current_user_permissions":{"type":"object","description":"Permissions of the current user for this resource.","properties":{"read":{"type":"boolean"},"write":{"type":"boolean"},"execute":{"type":"boolean"}}}}}}}}
```

## Update an Event Property

> Use this endpoint to partially update event metadata.

```json
{"openapi":"3.0.0","info":{"title":"Secoda API","version":"8.22.39"},"tags":[{"name":"Events","description":"Data elements representing an event from an integration."}],"servers":[{"url":"https://api.secoda.co","description":"Base URL for all US cloud based workspaces"},{"url":"https://eapi.secoda.co","description":"Base URL for all EU cloud based workspaces"},{"url":"https://aapi.secoda.co","description":"Base URL for all APAC cloud based workspaces"},{"url":"https://{customer_domain}.secoda.co","description":"Base URL for On Premise Secoda workspaces","variables":{"customer_domain":{"default":"customer_domain","description":"The specific domain set up for your On Premise Secoda workspace."}}}],"security":[{"ApiKeyAuth":[]}],"paths":{"/api/v1/event/event_properties/{event_property_id}":{"patch":{"tags":["Events"],"summary":"Update an Event Property","description":"Use this endpoint to partially update event metadata.","parameters":[{"name":"event_property_id","in":"path","required":true,"schema":{"type":"string"},"description":"The ID of the event property to update."}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/v1_BasePatchRequest"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/v1_EventPropertyResponse"}}}},"404":{"description":"Not Found"},"500":{"description":"Internal Server Error"}}}}},"components":{"schemas":{"v1_BasePatchRequest":{"type":"object","properties":{"description":{"type":"string","description":"A description of the resource."},"definition":{"type":"string","description":"Mark down documentation to be added to the resource."},"pii":{"type":"boolean","description":"Indicates whether the resource contains personally identifiable information (PII). Values can be - <ul><li> True <li> False</ul>"},"verified":{"type":"boolean","description":"Indicates whether the table has been set as verified. Values can be - <ul><li> True <li> False</ul>"},"published":{"type":"boolean","description":"Indicates if the resource is visible to viewers or not. Values can be - <ul><li> True <li> False</ul>"},"teams":{"type":"array","items":{"type":"string"},"description":"A list of team IDs that the resource belongs to."},"owners":{"type":"array","items":{"type":"string"},"description":"A list of owner user IDs for the resource."},"collections":{"type":"array","items":{"type":"string"},"description":"A list of collection IDs the resource belongs to."},"tags":{"type":"array","items":{"type":"string"},"description":"A list of tag IDs associated with the resources."},"subscribers":{"type":"array","description":"A list of the added user IDs that have been subscribed to the resource. Anyone subscribed will be notified of any changes.","items":{"type":"string"}}}},"v1_EventPropertyResponse":{"allOf":[{"$ref":"#/components/schemas/v1_BaseResponse"},{"type":"object","properties":{"type":{"type":"string","description":"The type of property associated with the event. Examples include string, enum, integer, etc."},"enum":{"type":"string","description":"If the property type is enum, this field indicates the various enum values."},"is_required":{"type":"boolean","description":"Set this to true if the property is required."}}}]},"v1_BaseResponse":{"type":"object","properties":{"id":{"type":"string","description":"The unique identifier of the resource."},"created_at":{"type":"string","format":"date-time","description":"The timestamp when the resource was created in Secoda in UTC format."},"updated_at":{"type":"string","format":"date-time","description":"The timestamp when the resource was last updated in Secoda in UTC format."},"entity_type":{"type":"string","description":"The type of resource in Secoda."},"native_type":{"type":"string","description":"The native type of the resource as it is referred to in the integration."},"bookmarked_by":{"type":"array","items":{"type":"string"},"description":"List of member IDs that have bookmarked the resource."},"icon":{"type":"string","description":"The icon associated with the resource."},"title":{"type":"string","description":"The title of the resource."},"title_full":{"type":"string","description":"The full title of the resource, including its ancestry."},"title_cased":{"type":"string","description":"The title in a cased format."},"description":{"type":"string","description":"A description of the resource."},"definition":{"type":"string","format":"markdown","description":"The documentation of the resource, written in Mark Down format."},"definition_version":{"type":"integer","description":"The version of the resource's documentation."},"multiplayers":{"type":"array","items":{"type":"string"},"description":"List of members who have opened or worked with the resource recently."},"multiplayer_last_modified_by":{"type":"string","description":"The last member who modified this resource."},"multiplayer_last_modified":{"type":"string","format":"date-time","description":"The timestamp when the multiplayer was last modified in UTC format."},"owners":{"type":"array","items":{"type":"string"},"description":"List of owner IDs for the resource."},"owners_groups":{"type":"array","items":{"type":"string"},"description":"List of owner group IDs for the resource."},"collections":{"type":"array","items":{"type":"string"},"description":"List of IDs representing the collection(s) that the resource has been added to."},"tags":{"type":"array","items":{"type":"string"},"description":"List of tag IDs added to the resource."},"workspace_id":{"type":"string","description":"The ID of the workspace."},"total_usage":{"type":"integer","description":"The total usage count for the resource."},"published":{"type":"boolean","description":"Indicates if the resource is published and can be seen by Viewers."},"archived":{"type":"boolean","description":"Indicates if the resource is deleted."},"pii":{"type":"boolean","description":"Indicates if the resource contains Personally Identifiable Information (PII). Values can be - <ul> <li> True <li> False</ul>"},"verified":{"type":"boolean","description":"Indicates if the resource is verified. Values can be - <ul><li> True <li> False</ul>"},"url":{"type":"string","description":"The URL associated with the resource."},"parent":{"type":"string","description":"The parent resource's ID."},"children_count":{"type":"integer","description":"The count of children entities of the resource."},"integration":{"type":"string","description":"The integration ID associated with the resource."},"external_updated_at":{"type":"string","format":"date-time","description":"The timestamp of the last update for the resource in the source."},"internal_usage":{"type":"integer","description":"The internal usage count for the resource."},"internal_users":{"type":"array","items":{"type":"string"},"description":"List of internal user IDs for the resource."},"external_users":{"type":"array","items":{"type":"string"},"description":"List of external user IDs for the resource extracted from the integration."},"external_usage":{"type":"integer","description":"The external usage count for the resource extracted from the source source. This is what is used to calculate Popularity of a resource."},"databuilder_id":{"type":"string","description":"The databuilder ID associated with the resource. This is a generated field."},"search_metadata":{"type":"object","description":"Metadata related to indexing the resource for optimizing search."},"sources":{"type":"array","items":{"type":"string"},"description":"List of other integrations associated with the resource. For example, if a description is pulled in from DBT for a Snowflake table, this field will reference DBT."},"subscribers":{"type":"array","items":{"type":"string"},"description":"List of User IDs who subscribe to the resource."},"teams":{"type":"array","items":{"type":"string"},"description":"List of team IDs associated with the resource."},"stale":{"type":"boolean","description":"Indicates if the resource is stale. This means this resource no longer exists in the source, as of the last extraction."},"current_user_permissions":{"type":"object","description":"Permissions of the current user for this resource.","properties":{"read":{"type":"boolean"},"write":{"type":"boolean"},"execute":{"type":"boolean"}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.secoda.co/api/reference/events.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
